Backup Gordon

Joel Newkirk freerunner at
Sat Oct 11 07:13:07 CEST 2008

On Fri, 10 Oct 2008 18:21:48 -0700 (PDT), mrintensity
<openmoko.user at> wrote:
> A note on the subject line:  I figured if I had questions on flashing my
> FR,
> I would use the subject line "Flash Gordon."  Instead I have a question
> backing up the FR. :-P
> When flashing, they make a big deal about having to use the the version
> dfu-util that goes with the distro you are flashing.  For example, to
> upgrade from om2007.2 to om2008.8 (ASU), you need to download the
> for om2008.8.

Umm, who is 'they' and where do they 'make a big deal'?  I've not seen it
anywhere, and can attest that I've never paid the slightest attention to
what version of dfu-util I've used.  I've flashed my FR at least 16 times,
several different distros, no problems with dfu-util or the flashing

> What about backups?  I downloaded om2007.8 and its associated dfu-util,
> and
> I want to use that dfu-util to back up my current om2007.2 image.  Is
> doable, or do I have to download the 2007.2 dfu-util just to back up
> 2007.2?

That's a different matter - 'upload' (reading the flash memory and creating
a jffs image on the host of the rootfs) is still broken in
dfu-util.( covers using dfu-util or
other approaches to backup the current flash, (and warns that upload is
broken) and covers NeoTool - a handy
GUI that runs the console-only dfu-util for you.  NeoTool also supports the
tar-based backup, which is known to work reliably.


More information about the support mailing list